/{organizationId}/finance/stripe/connectConnect Stripe account
Creates an account session that includes a single-use token to connect/create the organization's Stripe account
Required permissions:
financesSettings.edit
Path Parameters
organizationIdstringrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/stripe/connect' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
clientSecretstringrequired Response
{
"stripeAccount": {
"id": "string",
"disabledReason": "action_required.requested_capabilities",
"errors": [
"string"
],
"status": "restricted",
"cashAccount": "000000000000000000000001",
"balance": {
"available": -9007199254740991,
"pending": -9007199254740991
},
"account": 1
},
"clientSecret": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}